package com.mcwl.web.controller.communityCenter;

import com.mcwl.communityCenter.webSocket.ChatWebSocketPoint;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor
@RestController
@RequestMapping("/chat")
public class ChatController {

    private final ChatWebSocketPoint chatWebSocketPoint;

    @GetMapping("/switchUserMode")
    public void switchUserMode(String sessionId, Boolean isCustomer) throws Exception {
        if (isCustomer == null) {
            chatWebSocketPoint.switchUserMode(sessionId, false);
        } else {
            chatWebSocketPoint.switchUserMode(sessionId, isCustomer);
        }
    }

}