package com.mcwl.communityCenter.config;

import com.mcwl.communityCenter.webSocket.ChatWebSocketPoint;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketConfig implements WebSocketConfigurer {

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(chatWebSocketPoint(), "/chat")
                .setAllowedOrigins("*");
    }

    @Bean
    public ChatWebSocketPoint chatWebSocketPoint() {
        return new ChatWebSocketPoint();
    }

}