package com.mcwl.communityCenter.service.impl;

import com.mcwl.communityCenter.service.CustomerService;
import org.springframework.stereotype.Service;
import org.springframework.web.socket.TextMessage;
import org.springframework.web.socket.WebSocketSession;

import java.io.IOException;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Service
public class CustomerServiceImpl implements CustomerService {

    private static final Map<String, WebSocketSession> activeSessions = new ConcurrentHashMap<>();

    @Override
    public void transferToHuman(String userId, WebSocketSession session) {
        activeSessions.put(userId, session);
        // 这里可以添加通知客服人员的逻辑
    }

    @Override
    public void handleCustomerMessage(String userId, String message) throws IOException {
        // 应实现消息队列或持久化存储
        // 先返回固定响应
        WebSocketSession session = activeSessions.get(userId);
        if (session != null && session.isOpen()) {
            session.sendMessage(new TextMessage("[客服] 您好，当前为人工服务模式"));
        }
    }
}
